Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network220.52.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
220.52.0.0
Broadcast address
220.52.127.255
First usable
220.52.0.1
Last usable
220.52.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex DC340000 · Integer 3694395392 to 3694428159
Reverse DNS zones
0.52.220.in-addr.arpa
1.52.220.in-addr.arpa
2.52.220.in-addr.arpa
3.52.220.in-addr.arpa
4.52.220.in-addr.arpa
5.52.220.in-addr.arpa
6.52.220.in-addr.arpa
7.52.220.in-addr.arpa
8.52.220.in-addr.arpa
9.52.220.in-addr.arpa
10.52.220.in-addr.arpa
11.52.220.in-addr.arpa
12.52.220.in-addr.arpa
13.52.220.in-addr.arpa
14.52.220.in-addr.arpa
15.52.220.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011100.00110100.00000000.00000000220.52.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11011100.00110100.00000000.00000000220.52.0.0
Broadcast11011100.00110100.01111111.11111111220.52.127.255
Split into smaller subnets/26

220.52.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1220.52.0.0/26220.52.0.1 to 220.52.0.62220.52.0.6362
2220.52.0.64/26220.52.0.65 to 220.52.0.126220.52.0.12762
3220.52.0.128/26220.52.0.129 to 220.52.0.190220.52.0.19162
4220.52.0.192/26220.52.0.193 to 220.52.0.254220.52.0.25562
5220.52.1.0/26220.52.1.1 to 220.52.1.62220.52.1.6362
6220.52.1.64/26220.52.1.65 to 220.52.1.126220.52.1.12762
7220.52.1.128/26220.52.1.129 to 220.52.1.190220.52.1.19162
8220.52.1.192/26220.52.1.193 to 220.52.1.254220.52.1.25562
9220.52.2.0/26220.52.2.1 to 220.52.2.62220.52.2.6362
10220.52.2.64/26220.52.2.65 to 220.52.2.126220.52.2.12762
11220.52.2.128/26220.52.2.129 to 220.52.2.190220.52.2.19162
12220.52.2.192/26220.52.2.193 to 220.52.2.254220.52.2.25562
13220.52.3.0/26220.52.3.1 to 220.52.3.62220.52.3.6362
14220.52.3.64/26220.52.3.65 to 220.52.3.126220.52.3.12762
15220.52.3.128/26220.52.3.129 to 220.52.3.190220.52.3.19162
16220.52.3.192/26220.52.3.193 to 220.52.3.254220.52.3.25562
17220.52.4.0/26220.52.4.1 to 220.52.4.62220.52.4.6362
18220.52.4.64/26220.52.4.65 to 220.52.4.126220.52.4.12762
19220.52.4.128/26220.52.4.129 to 220.52.4.190220.52.4.19162
20220.52.4.192/26220.52.4.193 to 220.52.4.254220.52.4.25562
21220.52.5.0/26220.52.5.1 to 220.52.5.62220.52.5.6362
22220.52.5.64/26220.52.5.65 to 220.52.5.126220.52.5.12762
23220.52.5.128/26220.52.5.129 to 220.52.5.190220.52.5.19162
24220.52.5.192/26220.52.5.193 to 220.52.5.254220.52.5.25562
25220.52.6.0/26220.52.6.1 to 220.52.6.62220.52.6.6362
26220.52.6.64/26220.52.6.65 to 220.52.6.126220.52.6.12762
27220.52.6.128/26220.52.6.129 to 220.52.6.190220.52.6.19162
28220.52.6.192/26220.52.6.193 to 220.52.6.254220.52.6.25562
29220.52.7.0/26220.52.7.1 to 220.52.7.62220.52.7.6362
30220.52.7.64/26220.52.7.65 to 220.52.7.126220.52.7.12762
31220.52.7.128/26220.52.7.129 to 220.52.7.190220.52.7.19162
32220.52.7.192/26220.52.7.193 to 220.52.7.254220.52.7.25562
33220.52.8.0/26220.52.8.1 to 220.52.8.62220.52.8.6362
34220.52.8.64/26220.52.8.65 to 220.52.8.126220.52.8.12762
35220.52.8.128/26220.52.8.129 to 220.52.8.190220.52.8.19162
36220.52.8.192/26220.52.8.193 to 220.52.8.254220.52.8.25562
37220.52.9.0/26220.52.9.1 to 220.52.9.62220.52.9.6362
38220.52.9.64/26220.52.9.65 to 220.52.9.126220.52.9.12762
39220.52.9.128/26220.52.9.129 to 220.52.9.190220.52.9.19162
40220.52.9.192/26220.52.9.193 to 220.52.9.254220.52.9.25562
41220.52.10.0/26220.52.10.1 to 220.52.10.62220.52.10.6362
42220.52.10.64/26220.52.10.65 to 220.52.10.126220.52.10.12762
43220.52.10.128/26220.52.10.129 to 220.52.10.190220.52.10.19162
44220.52.10.192/26220.52.10.193 to 220.52.10.254220.52.10.25562
45220.52.11.0/26220.52.11.1 to 220.52.11.62220.52.11.6362
46220.52.11.64/26220.52.11.65 to 220.52.11.126220.52.11.12762
47220.52.11.128/26220.52.11.129 to 220.52.11.190220.52.11.19162
48220.52.11.192/26220.52.11.193 to 220.52.11.254220.52.11.25562
49220.52.12.0/26220.52.12.1 to 220.52.12.62220.52.12.6362
50220.52.12.64/26220.52.12.65 to 220.52.12.126220.52.12.12762
51220.52.12.128/26220.52.12.129 to 220.52.12.190220.52.12.19162
52220.52.12.192/26220.52.12.193 to 220.52.12.254220.52.12.25562
53220.52.13.0/26220.52.13.1 to 220.52.13.62220.52.13.6362
54220.52.13.64/26220.52.13.65 to 220.52.13.126220.52.13.12762
55220.52.13.128/26220.52.13.129 to 220.52.13.190220.52.13.19162
56220.52.13.192/26220.52.13.193 to 220.52.13.254220.52.13.25562
57220.52.14.0/26220.52.14.1 to 220.52.14.62220.52.14.6362
58220.52.14.64/26220.52.14.65 to 220.52.14.126220.52.14.12762
59220.52.14.128/26220.52.14.129 to 220.52.14.190220.52.14.19162
60220.52.14.192/26220.52.14.193 to 220.52.14.254220.52.14.25562
61220.52.15.0/26220.52.15.1 to 220.52.15.62220.52.15.6362
62220.52.15.64/26220.52.15.65 to 220.52.15.126220.52.15.12762
63220.52.15.128/26220.52.15.129 to 220.52.15.190220.52.15.19162
64220.52.15.192/26220.52.15.193 to 220.52.15.254220.52.15.25562
65220.52.16.0/26220.52.16.1 to 220.52.16.62220.52.16.6362
66220.52.16.64/26220.52.16.65 to 220.52.16.126220.52.16.12762
67220.52.16.128/26220.52.16.129 to 220.52.16.190220.52.16.19162
68220.52.16.192/26220.52.16.193 to 220.52.16.254220.52.16.25562
69220.52.17.0/26220.52.17.1 to 220.52.17.62220.52.17.6362
70220.52.17.64/26220.52.17.65 to 220.52.17.126220.52.17.12762
71220.52.17.128/26220.52.17.129 to 220.52.17.190220.52.17.19162
72220.52.17.192/26220.52.17.193 to 220.52.17.254220.52.17.25562
73220.52.18.0/26220.52.18.1 to 220.52.18.62220.52.18.6362
74220.52.18.64/26220.52.18.65 to 220.52.18.126220.52.18.12762
75220.52.18.128/26220.52.18.129 to 220.52.18.190220.52.18.19162
76220.52.18.192/26220.52.18.193 to 220.52.18.254220.52.18.25562
77220.52.19.0/26220.52.19.1 to 220.52.19.62220.52.19.6362
78220.52.19.64/26220.52.19.65 to 220.52.19.126220.52.19.12762
79220.52.19.128/26220.52.19.129 to 220.52.19.190220.52.19.19162
80220.52.19.192/26220.52.19.193 to 220.52.19.254220.52.19.25562
81220.52.20.0/26220.52.20.1 to 220.52.20.62220.52.20.6362
82220.52.20.64/26220.52.20.65 to 220.52.20.126220.52.20.12762
83220.52.20.128/26220.52.20.129 to 220.52.20.190220.52.20.19162
84220.52.20.192/26220.52.20.193 to 220.52.20.254220.52.20.25562
85220.52.21.0/26220.52.21.1 to 220.52.21.62220.52.21.6362
86220.52.21.64/26220.52.21.65 to 220.52.21.126220.52.21.12762
87220.52.21.128/26220.52.21.129 to 220.52.21.190220.52.21.19162
88220.52.21.192/26220.52.21.193 to 220.52.21.254220.52.21.25562
89220.52.22.0/26220.52.22.1 to 220.52.22.62220.52.22.6362
90220.52.22.64/26220.52.22.65 to 220.52.22.126220.52.22.12762
91220.52.22.128/26220.52.22.129 to 220.52.22.190220.52.22.19162
92220.52.22.192/26220.52.22.193 to 220.52.22.254220.52.22.25562
93220.52.23.0/26220.52.23.1 to 220.52.23.62220.52.23.6362
94220.52.23.64/26220.52.23.65 to 220.52.23.126220.52.23.12762
95220.52.23.128/26220.52.23.129 to 220.52.23.190220.52.23.19162
96220.52.23.192/26220.52.23.193 to 220.52.23.254220.52.23.25562
97220.52.24.0/26220.52.24.1 to 220.52.24.62220.52.24.6362
98220.52.24.64/26220.52.24.65 to 220.52.24.126220.52.24.12762
99220.52.24.128/26220.52.24.129 to 220.52.24.190220.52.24.19162
100220.52.24.192/26220.52.24.193 to 220.52.24.254220.52.24.25562
101220.52.25.0/26220.52.25.1 to 220.52.25.62220.52.25.6362
102220.52.25.64/26220.52.25.65 to 220.52.25.126220.52.25.12762
103220.52.25.128/26220.52.25.129 to 220.52.25.190220.52.25.19162
104220.52.25.192/26220.52.25.193 to 220.52.25.254220.52.25.25562
105220.52.26.0/26220.52.26.1 to 220.52.26.62220.52.26.6362
106220.52.26.64/26220.52.26.65 to 220.52.26.126220.52.26.12762
107220.52.26.128/26220.52.26.129 to 220.52.26.190220.52.26.19162
108220.52.26.192/26220.52.26.193 to 220.52.26.254220.52.26.25562
109220.52.27.0/26220.52.27.1 to 220.52.27.62220.52.27.6362
110220.52.27.64/26220.52.27.65 to 220.52.27.126220.52.27.12762
111220.52.27.128/26220.52.27.129 to 220.52.27.190220.52.27.19162
112220.52.27.192/26220.52.27.193 to 220.52.27.254220.52.27.25562
113220.52.28.0/26220.52.28.1 to 220.52.28.62220.52.28.6362
114220.52.28.64/26220.52.28.65 to 220.52.28.126220.52.28.12762
115220.52.28.128/26220.52.28.129 to 220.52.28.190220.52.28.19162
116220.52.28.192/26220.52.28.193 to 220.52.28.254220.52.28.25562
117220.52.29.0/26220.52.29.1 to 220.52.29.62220.52.29.6362
118220.52.29.64/26220.52.29.65 to 220.52.29.126220.52.29.12762
119220.52.29.128/26220.52.29.129 to 220.52.29.190220.52.29.19162
120220.52.29.192/26220.52.29.193 to 220.52.29.254220.52.29.25562
121220.52.30.0/26220.52.30.1 to 220.52.30.62220.52.30.6362
122220.52.30.64/26220.52.30.65 to 220.52.30.126220.52.30.12762
123220.52.30.128/26220.52.30.129 to 220.52.30.190220.52.30.19162
124220.52.30.192/26220.52.30.193 to 220.52.30.254220.52.30.25562
125220.52.31.0/26220.52.31.1 to 220.52.31.62220.52.31.6362
126220.52.31.64/26220.52.31.65 to 220.52.31.126220.52.31.12762
127220.52.31.128/26220.52.31.129 to 220.52.31.190220.52.31.19162
128220.52.31.192/26220.52.31.193 to 220.52.31.254220.52.31.25562
129220.52.32.0/26220.52.32.1 to 220.52.32.62220.52.32.6362
130220.52.32.64/26220.52.32.65 to 220.52.32.126220.52.32.12762
131220.52.32.128/26220.52.32.129 to 220.52.32.190220.52.32.19162
132220.52.32.192/26220.52.32.193 to 220.52.32.254220.52.32.25562
133220.52.33.0/26220.52.33.1 to 220.52.33.62220.52.33.6362
134220.52.33.64/26220.52.33.65 to 220.52.33.126220.52.33.12762
135220.52.33.128/26220.52.33.129 to 220.52.33.190220.52.33.19162
136220.52.33.192/26220.52.33.193 to 220.52.33.254220.52.33.25562
137220.52.34.0/26220.52.34.1 to 220.52.34.62220.52.34.6362
138220.52.34.64/26220.52.34.65 to 220.52.34.126220.52.34.12762
139220.52.34.128/26220.52.34.129 to 220.52.34.190220.52.34.19162
140220.52.34.192/26220.52.34.193 to 220.52.34.254220.52.34.25562
141220.52.35.0/26220.52.35.1 to 220.52.35.62220.52.35.6362
142220.52.35.64/26220.52.35.65 to 220.52.35.126220.52.35.12762
143220.52.35.128/26220.52.35.129 to 220.52.35.190220.52.35.19162
144220.52.35.192/26220.52.35.193 to 220.52.35.254220.52.35.25562
145220.52.36.0/26220.52.36.1 to 220.52.36.62220.52.36.6362
146220.52.36.64/26220.52.36.65 to 220.52.36.126220.52.36.12762
147220.52.36.128/26220.52.36.129 to 220.52.36.190220.52.36.19162
148220.52.36.192/26220.52.36.193 to 220.52.36.254220.52.36.25562
149220.52.37.0/26220.52.37.1 to 220.52.37.62220.52.37.6362
150220.52.37.64/26220.52.37.65 to 220.52.37.126220.52.37.12762
151220.52.37.128/26220.52.37.129 to 220.52.37.190220.52.37.19162
152220.52.37.192/26220.52.37.193 to 220.52.37.254220.52.37.25562
153220.52.38.0/26220.52.38.1 to 220.52.38.62220.52.38.6362
154220.52.38.64/26220.52.38.65 to 220.52.38.126220.52.38.12762
155220.52.38.128/26220.52.38.129 to 220.52.38.190220.52.38.19162
156220.52.38.192/26220.52.38.193 to 220.52.38.254220.52.38.25562
157220.52.39.0/26220.52.39.1 to 220.52.39.62220.52.39.6362
158220.52.39.64/26220.52.39.65 to 220.52.39.126220.52.39.12762
159220.52.39.128/26220.52.39.129 to 220.52.39.190220.52.39.19162
160220.52.39.192/26220.52.39.193 to 220.52.39.254220.52.39.25562
161220.52.40.0/26220.52.40.1 to 220.52.40.62220.52.40.6362
162220.52.40.64/26220.52.40.65 to 220.52.40.126220.52.40.12762
163220.52.40.128/26220.52.40.129 to 220.52.40.190220.52.40.19162
164220.52.40.192/26220.52.40.193 to 220.52.40.254220.52.40.25562
165220.52.41.0/26220.52.41.1 to 220.52.41.62220.52.41.6362
166220.52.41.64/26220.52.41.65 to 220.52.41.126220.52.41.12762
167220.52.41.128/26220.52.41.129 to 220.52.41.190220.52.41.19162
168220.52.41.192/26220.52.41.193 to 220.52.41.254220.52.41.25562
169220.52.42.0/26220.52.42.1 to 220.52.42.62220.52.42.6362
170220.52.42.64/26220.52.42.65 to 220.52.42.126220.52.42.12762
171220.52.42.128/26220.52.42.129 to 220.52.42.190220.52.42.19162
172220.52.42.192/26220.52.42.193 to 220.52.42.254220.52.42.25562
173220.52.43.0/26220.52.43.1 to 220.52.43.62220.52.43.6362
174220.52.43.64/26220.52.43.65 to 220.52.43.126220.52.43.12762
175220.52.43.128/26220.52.43.129 to 220.52.43.190220.52.43.19162
176220.52.43.192/26220.52.43.193 to 220.52.43.254220.52.43.25562
177220.52.44.0/26220.52.44.1 to 220.52.44.62220.52.44.6362
178220.52.44.64/26220.52.44.65 to 220.52.44.126220.52.44.12762
179220.52.44.128/26220.52.44.129 to 220.52.44.190220.52.44.19162
180220.52.44.192/26220.52.44.193 to 220.52.44.254220.52.44.25562
181220.52.45.0/26220.52.45.1 to 220.52.45.62220.52.45.6362
182220.52.45.64/26220.52.45.65 to 220.52.45.126220.52.45.12762
183220.52.45.128/26220.52.45.129 to 220.52.45.190220.52.45.19162
184220.52.45.192/26220.52.45.193 to 220.52.45.254220.52.45.25562
185220.52.46.0/26220.52.46.1 to 220.52.46.62220.52.46.6362
186220.52.46.64/26220.52.46.65 to 220.52.46.126220.52.46.12762
187220.52.46.128/26220.52.46.129 to 220.52.46.190220.52.46.19162
188220.52.46.192/26220.52.46.193 to 220.52.46.254220.52.46.25562
189220.52.47.0/26220.52.47.1 to 220.52.47.62220.52.47.6362
190220.52.47.64/26220.52.47.65 to 220.52.47.126220.52.47.12762
191220.52.47.128/26220.52.47.129 to 220.52.47.190220.52.47.19162
192220.52.47.192/26220.52.47.193 to 220.52.47.254220.52.47.25562
193220.52.48.0/26220.52.48.1 to 220.52.48.62220.52.48.6362
194220.52.48.64/26220.52.48.65 to 220.52.48.126220.52.48.12762
195220.52.48.128/26220.52.48.129 to 220.52.48.190220.52.48.19162
196220.52.48.192/26220.52.48.193 to 220.52.48.254220.52.48.25562
197220.52.49.0/26220.52.49.1 to 220.52.49.62220.52.49.6362
198220.52.49.64/26220.52.49.65 to 220.52.49.126220.52.49.12762
199220.52.49.128/26220.52.49.129 to 220.52.49.190220.52.49.19162
200220.52.49.192/26220.52.49.193 to 220.52.49.254220.52.49.25562
201220.52.50.0/26220.52.50.1 to 220.52.50.62220.52.50.6362
202220.52.50.64/26220.52.50.65 to 220.52.50.126220.52.50.12762
203220.52.50.128/26220.52.50.129 to 220.52.50.190220.52.50.19162
204220.52.50.192/26220.52.50.193 to 220.52.50.254220.52.50.25562
205220.52.51.0/26220.52.51.1 to 220.52.51.62220.52.51.6362
206220.52.51.64/26220.52.51.65 to 220.52.51.126220.52.51.12762
207220.52.51.128/26220.52.51.129 to 220.52.51.190220.52.51.19162
208220.52.51.192/26220.52.51.193 to 220.52.51.254220.52.51.25562
209220.52.52.0/26220.52.52.1 to 220.52.52.62220.52.52.6362
210220.52.52.64/26220.52.52.65 to 220.52.52.126220.52.52.12762
211220.52.52.128/26220.52.52.129 to 220.52.52.190220.52.52.19162
212220.52.52.192/26220.52.52.193 to 220.52.52.254220.52.52.25562
213220.52.53.0/26220.52.53.1 to 220.52.53.62220.52.53.6362
214220.52.53.64/26220.52.53.65 to 220.52.53.126220.52.53.12762
215220.52.53.128/26220.52.53.129 to 220.52.53.190220.52.53.19162
216220.52.53.192/26220.52.53.193 to 220.52.53.254220.52.53.25562
217220.52.54.0/26220.52.54.1 to 220.52.54.62220.52.54.6362
218220.52.54.64/26220.52.54.65 to 220.52.54.126220.52.54.12762
219220.52.54.128/26220.52.54.129 to 220.52.54.190220.52.54.19162
220220.52.54.192/26220.52.54.193 to 220.52.54.254220.52.54.25562
221220.52.55.0/26220.52.55.1 to 220.52.55.62220.52.55.6362
222220.52.55.64/26220.52.55.65 to 220.52.55.126220.52.55.12762
223220.52.55.128/26220.52.55.129 to 220.52.55.190220.52.55.19162
224220.52.55.192/26220.52.55.193 to 220.52.55.254220.52.55.25562
225220.52.56.0/26220.52.56.1 to 220.52.56.62220.52.56.6362
226220.52.56.64/26220.52.56.65 to 220.52.56.126220.52.56.12762
227220.52.56.128/26220.52.56.129 to 220.52.56.190220.52.56.19162
228220.52.56.192/26220.52.56.193 to 220.52.56.254220.52.56.25562
229220.52.57.0/26220.52.57.1 to 220.52.57.62220.52.57.6362
230220.52.57.64/26220.52.57.65 to 220.52.57.126220.52.57.12762
231220.52.57.128/26220.52.57.129 to 220.52.57.190220.52.57.19162
232220.52.57.192/26220.52.57.193 to 220.52.57.254220.52.57.25562
233220.52.58.0/26220.52.58.1 to 220.52.58.62220.52.58.6362
234220.52.58.64/26220.52.58.65 to 220.52.58.126220.52.58.12762
235220.52.58.128/26220.52.58.129 to 220.52.58.190220.52.58.19162
236220.52.58.192/26220.52.58.193 to 220.52.58.254220.52.58.25562
237220.52.59.0/26220.52.59.1 to 220.52.59.62220.52.59.6362
238220.52.59.64/26220.52.59.65 to 220.52.59.126220.52.59.12762
239220.52.59.128/26220.52.59.129 to 220.52.59.190220.52.59.19162
240220.52.59.192/26220.52.59.193 to 220.52.59.254220.52.59.25562
241220.52.60.0/26220.52.60.1 to 220.52.60.62220.52.60.6362
242220.52.60.64/26220.52.60.65 to 220.52.60.126220.52.60.12762
243220.52.60.128/26220.52.60.129 to 220.52.60.190220.52.60.19162
244220.52.60.192/26220.52.60.193 to 220.52.60.254220.52.60.25562
245220.52.61.0/26220.52.61.1 to 220.52.61.62220.52.61.6362
246220.52.61.64/26220.52.61.65 to 220.52.61.126220.52.61.12762
247220.52.61.128/26220.52.61.129 to 220.52.61.190220.52.61.19162
248220.52.61.192/26220.52.61.193 to 220.52.61.254220.52.61.25562
249220.52.62.0/26220.52.62.1 to 220.52.62.62220.52.62.6362
250220.52.62.64/26220.52.62.65 to 220.52.62.126220.52.62.12762
251220.52.62.128/26220.52.62.129 to 220.52.62.190220.52.62.19162
252220.52.62.192/26220.52.62.193 to 220.52.62.254220.52.62.25562
253220.52.63.0/26220.52.63.1 to 220.52.63.62220.52.63.6362
254220.52.63.64/26220.52.63.65 to 220.52.63.126220.52.63.12762
255220.52.63.128/26220.52.63.129 to 220.52.63.190220.52.63.19162
256220.52.63.192/26220.52.63.193 to 220.52.63.254220.52.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses